package com.nationrel.modules.rp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nationrel.modules.rp.entity.PredictionInfo;
import com.nationrel.modules.rp.entity.PredictionStruTree;
import com.nationrel.modules.rp.req.DelStructureReq;
import com.nationrel.modules.rp.req.PasteStructureReq;
import com.nationrel.modules.rp.req.SaveStructureReq;
import com.nationrel.modules.rp.req.UpdateNodeNameReq;
import com.nationrel.modules.rp.resp.PredictionStruTreeResp;
import com.nationrel.modules.rp.resp.QueryPredictionStruTreeResp;

import java.util.List;

/**
 * @Description: prediction_stru_tree
 * @Author: nationrel
 * @Date:   2024-08-26
 * @Version: V1.0
 */
public interface IPredictionStruTreeService extends IService<PredictionStruTree> {

    QueryPredictionStruTreeResp getLeftTree(Long predictionId, Long struId);

    PredictionInfo addStructure(SaveStructureReq saveStructureReq);

    PredictionInfo deleteStructure(String predictionId, String struId);

    PredictionInfo pasteStructure(PasteStructureReq pasteStructureReq) throws Exception;

    PredictionInfo updateNodeName(UpdateNodeNameReq updateNodeNameReq);
}
