package com.nationrel.modules.rp.api;
import com.nationrel.modules.rp.api.fallback.RpHelloFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(value = "nationrel-rp", fallbackFactory = RpHelloFallback.class)
public interface RpHelloApi {

    /**
     * rp hello 微服务接口
     * @param
     * @return
     */
    @GetMapping(value = "/rp/hello")
    String callHello();
}
