package com.nationrel.modules.rp.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: prediction_table_category_relation
 * @Author: nationrel
 * @Date: 2024-09-06
 * @Version: V1.0
 */
@Data
@TableName(value = "prediction_table_category_relation", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="prediction_table_category_relation")
public class PredictionTableCategoryRelation implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**prediction_info 主键*/
	@Excel(name = "prediction_info 主键", width = 15)
    @Schema(description = "prediction_info 主键")
    private String predictionId;
	/**prediction_table 主键*/
	@Excel(name = "stru_tree 主键（数字的）", width = 15)
    @Schema(description = "stru_tree 主键（数字的）")
    private String struId;
	/**prediction_columns 主键*/
	@Excel(name = "prediction_columns 主键", width = 15)
    @Schema(description = "prediction_columns 主键")
    private String columnsId;
	/**表单标签id*/
	@Excel(name = "表单标签id", width = 15)
    @Schema(description = "表单标签id")
    private String categoryId;
	/**表单标签值*/
	@Excel(name = "表单标签值", width = 15)
    @Schema(description = "表单标签值")
    private String categoryValue;
}
